Name:         udunits
Version:      1.12.4
Release:      0.PU_IAS.2
Epoch:        0
Summary:      Unidata units library

Group:        Development/Tools
License:      UCAR/Unidata
URL:          http://www.unidata.ucar.edu/packages/udunits/
Source:       ftp://unidata.ucar.edu/pub/udunits/udunits-1.12.4.tar.Z
Patch:        udunits_configure_in.patch
Patch1:       udunits_lib_make.patch
Patch2:       udunits_master_mk.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildPreReq:  gcc-g77 perl
Requires:     perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This package contains the Unidata units conversion utility (udunits).

%package perl
Group:       Development/Libraries
Summary:     Perl module for udunits
Requires:    perl udunits

%description perl
This package contains a perl extension module (UDUNITS) for the
Unidata units conversion library.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%package devel
Group:       Development/Libraries
Summary:     Header file for udunits
Requires:    %{name} = %{epoch}:%{version}-%{release}

%description devel
This package contains the files needed for compiling programs using
the udunits library.

%prep
%setup -q -n %{name}-%{version}/src
%patch -p0
%patch1 -p0
%patch2 -p0

%build
export LD_MATH="-lm"
CPPFLAGS='-Df2cFortran' CC=gcc ./configure --prefix=/usr --mandir=/usr/share/man
cd perl
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=${RPM_BUILD_ROOT}/usr
cd ..
make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

sed "s?/usr?${RPM_BUILD_ROOT}/usr?" Makefile > Makefile.install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
make LIBDIR=${RPM_BUILD_ROOT}%{_libdir} prefix=${RPM_BUILD_ROOT}/usr datadir=${RPM_BUILD_ROOT}/etc sysconfidir=${RPM_BUILD_ROOT}/etc -f Makefile.install install

cd perl

make PREFIX=${RPM_BUILD_ROOT}/usr install \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_vendorlib} \
  INSTALLSITEARCH=$RPM_BUILD_ROOT%{perl_vendorarch} \
  INSTALLSITEMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1

rm -rf $RPM_BUILD_ROOT%{perl_sitelib}

find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

[ -x %{_libdir}/rpm/brp-compress ] && %{_libdir}/rpm/brp-compress

#rm -rf ${RPM_BUILD_ROOT}/*/site_perl

find ${RPM_BUILD_ROOT} -type f \
| sed "s@^${RPM_BUILD_ROOT}@@g" \
> %{name}-%{version}-%{release}-filelist

eval `perl -V:archname -V:installvendorlib -V:installprivlib`
for d in $installsitelib $installvendorlib $installprivlib; do
  [ -z "$d" -o "$d" = "UNKNOWN" -o ! -d "${RPM_BUILD_ROOT}$d" ] && continue
  find ${RPM_BUILD_ROOT}$d/* -type d \
  | grep -v "/$archname\(/auto\)\?$" \
  | sed "s@^${RPM_BUILD_ROOT}@%dir @g" \
  >> %{name}-%{version}-%{release}-filelist
done

if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

rm -rf ${RPM_BUILD_ROOT}%{_libdir}/perl*/site_perl

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc COPYRIGHT README RELEASE_NOTES VERSION
%{_sysconfdir}/udunits.dat
%{_bindir}/udunits
%{_mandir}/man1/udunits.1*

%files devel
%defattr(-,root,root)
%{_libdir}/libu*.a
%{_includedir}/u*.*
%{_mandir}/man3/udunits.3*
%{_mandir}/man3f/udunits.3f*

%files perl
%defattr(-,root,root)
%{_libdir}/perl*/vendor_perl/*/*/UDUNITS.pm
%{_libdir}/perl*/vendor_perl/*/*/auto/*
%{_mandir}/man1/udunitsperl.1*

%changelog
* Sun Dec  5 2004 Ed Hill <eh3@mit.edu> - 0:1.12.4-0.fdr.0
- update to 1.12.4 (use gcc, not default c89)
- changed perl package per Michael Schwendt's suggestions

* Sat Jul 17 2004 Ed Hill <eh3@mit.edu> - 0:1.12.1-0.fdr.2
- updated to version 1.12.1 and added 'export LD_MATH="-lm"'
- updated udunits_lib_make.patch (partial upstream fix)

* Thu Oct 30 2003 Steve Arnold <arnold.steve@ensco.com>
- Fixed SMP compiliation error (removed %{?_smp_mflags})

* Tue Oct 28 2003 Steve Arnold <arnold.steve@ensco.com>
- Updated to current version 1.12.0

* Tue Oct 28 2003 Steve Arnold <arnold.steve@ensco.com>
- Updated for Fedora/RH9
- corrected perl stuff and eliminated hard paths

* Fri Jul 26 2002 KATO Masaya <mkato@pastel.ocn.ne.jp>
- first release
- based version is 1.11.7

